[rspec-users] autospec startup problem

Luis Lavena luislavena at gmail.com
Sun Apr 19 11:07:41 EDT 2009

On Sun, Apr 19, 2009 at 11:49 AM, Rick <Richard.T.Lloyd at gmail.com> wrote:
> David - here's some more info...
> This is a ruby1.9.1p0/rails2.3.2 issue.
> If I run under ruby1.8.7/rails2.3.2 autotest starts fine:
> /Rspec/mastermind 528 > autotest
> (Not running features.  To run features in autotest, set

I believe the root of this issue with 1.9.1 is that load and require
are a bit messed up in 1.9. I've seen this for other projects and a
few but reports to ruby-core.

You can try 1.9.2-dev (which is trunk right now I believe) and see if
that solves your problem. Hopefully that get backported to 1_9_1
branch and you can build 1.9.1 from it.

Luis Lavena
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry

More information about the rspec-users mailing list